Summary:        Probes disks on the system for installed operating systems
Name:           os-prober
Version:        1.81
Release:        6%{?dist}
License:        GPLv2+ and GPL+
URL:            http://kitenet.net/~joey/code/os-prober/
Source0:		http://deb.debian.org/debian/pool/main/o/os-prober/%{name}_%{version}.tar.xz

Patch3000:      os-prober-mdraidfix.patch
Patch3001:      os-prober-btrfsfix.patch
Patch3002:      os-prober-bootpart-name-fix.patch
Patch3003:      os-prober-mounted-partitions-fix.patch
Patch3004:      os-prober-factor-out-logger.patch
Patch3005:		os-prober-factored-logger-efi-fix.patch
Patch3006:      os-prober-umount-fix.patch
Patch3007:      os-prober-grub2-parsefix.patch
Patch3008:		os-prober-grepfix.patch
Patch3009:      os-prober-gentoo-fix.patch
Patch3010:      os-prober-grub2-mount-workaround.patch

BuildRequires:	make gcc git
Requires:       udev coreutils util-linux
Requires:       grep /bin/sed /sbin/modprobe
Requires:       grub2-tools-minimal

%description
os-prober is a spinoff of debian-installer. One of the installer's features 
is that it can probe disks on the system for other operating systems, and 
add them to the boot loader, so that installing Debian doesn't make your 
other installed OS hard to boot.

%prep
%autosetup -n %{name}-%{version} -p1

find -type f -exec sed -i -e 's|usr/lib|usr/libexec|g' {} \;

sed -i -e 's|grub-probe|grub2-probe|g' os-probes/common/50mounted-tests \
     linux-boot-probes/common/50mounted-tests
sed -i -e 's|grub-mount|grub2-mount|g' os-probes/common/50mounted-tests \
     linux-boot-probes/common/50mounted-tests common.sh

%build
%make_build LDFLAGS="$LDFLAGS -fPIC"

%install

mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 os-prober linux-boot-prober %{buildroot}%{_bindir}
install -p -m 0755 -D newns %{buildroot}%{_libexecdir}/os-prober/newns
install -p -m 0644 -D common.sh %{buildroot}%{_datadir}/%{name}/common.sh
mkdir -p %{buildroot}%{_var}/lib/%{name}

%ifarch x86_64
ARCH=x86
%endif

for probes in os-probes os-probes/mounted os-probes/init \
			linux-boot-probes linux-boot-probes/mounted; do
		mkdir -p %{buildroot}%{_libexecdir}/$probes 
		cp -a $probes/common/* %{buildroot}%{_libexecdir}/$probes
		if [ -e "$probes/$ARCH" ]; then 
		        cp -a $probes/$ARCH/* %{buildroot}%{_libexecdir}/$probes 
		fi
done

if [ "$ARCH" = x86 ]; then
        install -p -m 0755 os-probes/mounted/powerpc/20macosx \
            %{buildroot}%{_libexecdir}/os-probes/mounted
fi

%files
%license debian/copyright
%doc README TODO debian/changelog
%{_datadir}/%{name}
%{_var}/lib/%{name}
%{_bindir}/*
%{_libexecdir}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.81-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.81-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.81-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.81-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.81-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 1 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.81-1
- Initial build
